SDL Library Documentation
Prev |  | Next

# SDL_GetVideoInfo

## Name

SDL_GetVideoInfo -- returns a pointer to information about the video hardware

## Synopsis

    #include "SDL.h"

``SDL_VideoInfo *SDL_GetVideoInfo`(void);`

## Description

This function returns a read-only pointer to information about the video hardware. If this is called before SDL_SetVideoMode, the `vfmt` member of the returned structure will contain the pixel format of the "best" video mode.

## See Also

`SDL_SetVideoMode`, SDL_VideoInfo

Prev | Home | Next
SDL_GetVideoSurface | Up | SDL_VideoDriverName